# Building the documentation requires the furo Sphinx theme.  But building furo
# requires sphinx_theme_builder, which requires this package.  Avoid a
# dependency loop with this conditional.
%bcond_with doc

Name:           python-pep621
Version:        0.4.0
Release:        1%{?dist}
Summary:        PEP 621 metadata parsing

License:        MIT
URL:            https://pep621.readthedocs.io/
Source0:        https://github.com/FFY00/python-pep621/archive/%{version}/%{name}-%{version}.tar.gz

BuildArch:      noarch

BuildRequires:  python3-devel
BuildRequires:  %{py3_dist docutils}
BuildRequires:  %{py3_dist packaging}
BuildRequires:  %{py3_dist pip}
BuildRequires:  %{py3_dist pytest}
BuildRequires:  %{py3_dist setuptools}
BuildRequires:  %{py3_dist tomli}
BuildRequires:  %{py3_dist wheel}

%if %{with doc}
BuildRequires:  %{py3_dist furo}
BuildRequires:  %{py3_dist sphinx}
BuildRequires:  %{py3_dist sphinx-autodoc-typehints}
%endif

%global _desc %{expand:
Dataclass for PEP 621 metadata with support for core metadata generation.

This project does not implement the parsing of pyproject.toml containing
PEP 621 metadata.  Instead, given a Python data structure representing
PEP 621 metadata (already parsed), it will validate this input and
generate a PEP 643-compliant metadata file (e.g. PKG-INFO).}

%description %_desc

%package     -n python3-pep621
Summary:        PEP 621 metadata parsing

%description -n python3-pep621 %_desc

%if %{with doc}
%package        doc
Summary:        Documentation for python3-pep621

%description    doc
Documentation for python3-pep621.
%endif

%prep
%autosetup

%build
%pyproject_wheel
rst2html --no-datestamp CHANGELOG.rst CHANGELOG.html

%if %{with doc}
# Build the documentation
PYTHONPATH=$PWD/build/lib
mkdir html
sphinx-build -b html docs html
rm -rf html/{.buildinfo,.doctrees}
%endif

%install
%pyproject_install
%pyproject_save_files pep621

%check
%pytest

%files -n python3-pep621 -f %{pyproject_files}
%doc CHANGELOG.html README.md
%license LICENSE

%if %{with doc}
%files doc
%doc html
%endif

%changelog
* Tue Apr 12 2022 Jerry James <loganjerry@gmail.com> - 0.4.0
- Initial RPM
